Test-Extreme

Metadata

Analyzed metadata and errors of Test-Extreme.

{
   "abstracts_in_pod" : {
      "Test::Extreme" : "A Perlish unit testing framework"
   },
   "author" : "ASIMJALIS",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib/Test",
      "lib",
      "t",
      "t"
   ],
   "dist" : "Test-Extreme",
   "error" : {
      "no_pod_errors" : "Test-Extreme-1.01/lib/Test/Extreme.pm --  Around line 511:  Non-ASCII character seen before =encoding in '“JUnit'. Assuming UTF-8"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_pm_to_blib" : 0,
   "files_array" : [
      "Changes",
      "MANIFEST",
      "Makefile.PL",
      "lib/Test/Extreme.pm",
      "t/Test-Extreme.t"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1354730278,
         "size" : 512
      },
      "MANIFEST" : {
         "mtime" : 1354729970,
         "size" : 66
      },
      "Makefile.PL" : {
         "mtime" : 1354728383,
         "size" : 443,
         "used" : [
            "5.012004",
            "ExtUtils::MakeMaker"
         ]
      },
      "lib/Test/Extreme.pm" : {
         "license" : "Perl_5",
         "module" : "Test::Extreme",
         "mtime" : 1354730306,
         "noed" : [
            "strict"
         ],
         "required" : [
            "Exporter"
         ],
         "size" : 16841,
         "used" : [
            "5.012004",
            "Carp",
            "strict",
            "vars",
            "warnings"
         ]
      },
      "t/Test-Extreme.t" : {
         "mtime" : 1354731069,
         "size" : 320,
         "used" : [
            "Test::Extreme",
            "strict"
         ]
      }
   },
   "got_prereq_from" : "Makefile.PL",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 0,
      "has_proper_version" : 1,
      "has_readme" : 0,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "90.91",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 1,
      "meta_yml_has_license" : 0,
      "meta_yml_has_provides" : 1,
      "meta_yml_has_repository_resource" : 1,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 0,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1354731069,
   "license" : "defined in POD (lib/Test/Extreme.pm)",
   "license_file" : "lib/Test/Extreme.pm",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Test/Extreme.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "modules" : [
      {
         "file" : "lib/Test/Extreme.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Test::Extreme"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "Test-Extreme-1.01.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "Carp",
         "type" : "runtime_requires",
         "version" : 0
      },
      {
         "is_prereq" : 1,
         "requires" : "Exporter",
         "type" : "runtime_requires",
         "version" : 0
      }
   ],
   "released_epoch" : 1354731241,
   "size_packed" : 5654,
   "size_unpacked" : 18182,
   "uses" : {
      "noed_in_code" : {
         "strict" : 2
      },
      "required_in_code" : {
         "Exporter" : 1
      },
      "used_in_code" : {
         "5.012004" : 1,
         "Carp" : 1,
         "strict" : 3,
         "vars" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "5.012004" : 1,
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_tests" : {
         "strict" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "1.01",
   "versions" : {
      "lib/Test/Extreme.pm" : {
         "Test::Extreme" : "1.01",
         "bar" : "1.01",
         "foo" : "1.01",
         "foo_test" : "1.01"
      }
   },
   "vname" : "Test-Extreme-1.01"
}